## ftrading 260.72

=== DESCRIPTION ===
Package: fTrading
Version: 260.72
Date: 1997 - 2007
Title: Rmetrics - Technical Trading Analysis
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), fBasics
Maintainer: Diethelm Wuertz and Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE FUTURE.
      THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES,
      AS WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL Version 2 or later
URL: http://www.rmetrics.org
Packaged: Mon Oct  8 14:08:07 2007; myself

## ftrading 2100.76

=== DESCRIPTION ===
Package: fTrading
Version: 2100.76
Revision: 4406
Date: 2009-09-28
Title: Technical Trading Analysis
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), methods, timeDate, timeSeries, fBasics
Suggests: RUnit, tcltk
Maintainer: Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2009-09-28 15:21:27 UTC; yankee
Repository: CRAN
Date/Publication: 2009-09-29 18:44:32

## ftrading 3010.78

=== DESCRIPTION ===
Package: fTrading
Version: 3010.78
Revision: 5400
Date: 2012-11-30
Title: Technical Trading Analysis
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), methods, timeDate, timeSeries, fBasics
Suggests: RUnit, tcltk
Maintainer: Yohan Chalabi <yohan.chalabi@rmetrics.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2013-12-10 21:57:14 UTC; yohan
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-12-10 23:39:57

## ftrading 3042.79

=== DESCRIPTION ===
Package: fTrading
Title: Rmetrics - Trading and Rebalancing Financial Instruments
Date: 2017-11-12
Version: 3042.79
Author: Diethelm Wuertz [aut],
	Tobias Setz [cre],
	Yohan Chalabi [ctb]
Maintainer: Tobias Setz <tobias.setz@live.com>
Description: A collection of functions for trading and rebalancing financial
	instruments. It implements various technical indicators to analyse time series such
	as moving averages or stochastic oscillators.
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics
Imports: graphics, stats
Suggests: methods, RUnit, tcltk
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
NeedsCompilation: no
Packaged: 2017-11-15 19:19:22 UTC; Tobias Setz
Repository: CRAN
Date/Publication: 2017-11-15 22:37:38 UTC

=== debian/changelog ===
ftrading (3042.79-3build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 19:12:49 +0000

ftrading (3042.79-3) unstable; urgency=medium

  * Rebuilt for r-4.0 transition

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 May 2020 18:46:07 -0500

ftrading (3042.79-2) unstable; urgency=medium

  * Rebuilding for R 3.5.0 transition
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 05 Jun 2018 06:00:23 -0500

ftrading (3042.79-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debianb/control: Add Depends: on ${misc:Depends}
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 16 Nov 2017 22:17:38 -0600

ftrading (3010.78-2) unstable; urgency=medium

  * debian/compat: Created			(Closes: #829670)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 07 Jul 2016 05:32:43 -0500

ftrading (3010.78-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 10 Dec 2013 20:30:45 -0600

ftrading (2160.77-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Apr 2013 07:06:19 -0500

ftrading (2160.77-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 01 Dec 2012 16:56:05 -0600

ftrading (2100.76-3) unstable; urgency=low

  * Rebuilt for R 2.14.0 so that a default NAMESPACE file is created

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 22 Oct 2011 17:25:08 -0500

ftrading (2100.76-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 Nov 2009 18:44:11 -0600

ftrading (2100.76-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 30 Sep 2009 19:52:13 -0500

ftrading (290.75-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: on r-cran-fbasics to (>= 290.76)
  
  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Apr 2009 11:40:16 -0500

ftrading (270.74-1) unstable; urgency=low

  * New upstream release

  * debian/control: Updated (Build-)Depends: and Suggests:
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 27 Oct 2008 21:09:34 -0500

ftrading (260.72-1) unstable; urgency=low

  * Initial Debian release of new Rmetrics component package
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 05 Nov 2007 22:05:07 -0600

=== debian/control ===
Source: ftrading
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 4.0.0), dh-r, r-cran-fbasics (>= 290.76), xvfb, xauth, xfonts-base
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-ftrading
Vcs-Git: https://salsa.debian.org/edd/r-cran-ftrading.git
Homepage: https://cran.r-project.org/package=fTrading

Package: r-cran-ftrading
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}, r-cran-fbasics (>= 290.76)
Suggests: r-cran-runit
Description: GNU R package for financial engineering -- fTrading
 This package provides functions to import financial and economic data
 series import and is part of Rmetrics, a collection of packages for
 financial engineering and computational finance written and compiled 
 by Diethelm Wuertz and others.
 .
 fTrading provides functions for technical trading analysis.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/fTrading_([-\d\.]*)\.tar.gz
